<?php
session_start(); 
require_once ("../conexion.php");
require_once('../include/sesiones.php');
$art_id=$_GET['art_id'];
?>

        <?php
        	$sumador_total=0;
        	$sql=mysqli_query($con, "SELECT * from sabores_productos where articulo_art_id='$art_id' and empresa='$empresa' order by sab_nombre asc");
        	while ($row=mysqli_fetch_array($sql))
        	{
        	$sab_id=$row["sab_id"];
        	$nombre=$row["sab_nombre"];
        	$costo=$row["sab_costo"];
        	$precio=$row["sab_precio"];
        ?>

        <div>
            <div class="col-xs-5" style="padding-left: 0px;">
    			<input class="form-control input-sm" type="text" name="nombre_sabor" onblur="update_nombre(<?php echo $sab_id;?>,this.value);" value="<?php echo $nombre; ?>">
			</div>

            <div class="col-xs-3">
                <input class="form-control input-sm " type="number" min="0" name="costo" onblur="update_costo(<?php echo $sab_id;?>,this.value);" value="<?php echo $costo;?>">
            </div>
             <div class="col-xs-3">
                <input class="form-control input-sm " type="number" min="0" name="precio" onblur="update_precio(<?php echo $sab_id;?>,this.value);" value="<?php echo $precio;?>">
            </div>
            <a  href="#" id="del-<?php echo $row["sab_id"];?>" class="remover_campo btn btn-xs btn-danger "> <i class="btn-icon-only icon-remove"></i></a>
             <?php
                 if($row['sab_estado']=="Activo")
                        {
                        	echo '<a  href="#"  onclick="estado('.$row['sab_id'].')" class="btn btn-xs btn-info " title="Desactivar"> <i class="btn-icon-only icon-off"></i></a>';
                        }
                    else  
                        {
                        	echo '<a  href="#"  onclick="estado('.$row['sab_id'].')" class="btn btn-xs btn-warning " title="Activar"> <i class="btn-icon-only icon-off"></i></a>';
                        }
                    
            ?>
            </br></br>
          
                    
        </div>

		<script>

		function update_nombre(campo,valor){
		var parametros = {"action":"update","campo":campo,"valor":valor}; 
		$.ajax({
		type: "POST",
		url: "./php_produccion/editar_nombre_sabor.php",
		data: parametros,
		beforeSend: function(objeto){
		$("#resultados").html("Mensaje: Cargando...");
		},
		success: function(datos){
		$("#resultados").html(datos);
		}
		});
		loadTablasabores();
		}

		function update_costo(campo,valor){
		var parametros = {"action":"update","campo":campo,"valor":valor}; 
		$.ajax({
		type: "POST",
		url: "./php_produccion/editar_costo_sabor.php",
		data: parametros,
		beforeSend: function(objeto){
		$("#resultados").html("Mensaje: Cargando...");
		},
		success: function(datos){
		$("#resultados").html(datos);
		}
		});
		loadTablasabores();
		}


		function update_precio(campo,valor){
		var parametros = {"action":"update","campo":campo,"valor":valor}; 
		$.ajax({
		type: "POST",
		url: "./php_produccion/editar_precio_sabor.php",
		data: parametros,
		beforeSend: function(objeto){
		$("#resultados").html("Mensaje: Cargando...");
		},
		success: function(datos){
		$("#resultados").html(datos);
		}
		});
		loadTablasabores();
		}

		
		



		$("#del-"+<?php echo $row["sab_id"];?>).click(function(e){
			e.preventDefault();
			p = confirm("Estas seguro?");
			if(p){
				$.get("./php_produccion/eliminar_sabor.php","sab_id="+<?php echo $row["sab_id"];?>,function(data){
					loadTablasabores();
				});
			}
		});

		function estado(sab_id) 
		{ 
		    $.ajax({ 
		        type: "POST",
		        url: "php_produccion/cambiar_estado_sabor.php",
		        data: "sab_id="+sab_id,
		        success: function(datos){
		        $("#resultados").html(datos);
		        loadTablasabores();
		    }
		    });
		} 
		
		</script>
	<?php } ?>
<script type="text/javascript">


</script>